.container-fluid {
  padding: 0;
}

nav {
  background-color: var(--color-white);
  z-index: 3;
}

nav a.logo {
  height: 42px;
  display: block;
  width: 88px;
}

nav .logo-container {
  padding: 0;
  display: flex;
  justify-content: start;
  align-items: center;
}

.navbar {
  display: flex;
  justify-content: center;
  padding: 46px 0 24px 0;
}

.navbar .navbar-container {
  width: 100%;
  min-height: 42px;
  display: flex;
  flex-direction: row;
}

.filters {
  display: flex;
  flex-direction: row;
  overflow-x: hidden;
}

.filters .filters-bar {
  padding: 5px 16px;
  gap: 12px;
  display: flex;
  flex-direction: row;
  align-items: center;
  width: 100%;
  height: auto;
  max-width: 100%;
  background-color: var(--color-light-grey);
  border-radius: var(--border-radius-sm);
  border-radius: 42px;
  border: 1px solid var(--color-second-light-grey);
  overflow-x: visible;
  overflow-y: hidden;
  /*overflow-x: visible;*/
  /*flex-wrap: wrap;*/
}

.filters .chips-container {
  display: flex;
  flex-direction: row;
  overflow-x: auto;
  gap: 8px;
  /*flex-wrap: wrap;*/
  text-wrap: nowrap;
  position: relative;
}

.filters .chips-container::-webkit-scrollbar {
  position: absolute;
  height: 4px;
}

.filters .chips-container::-webkit-scrollbar-track {
  background: transparent;
}

.filters .chips-container::-webkit-scrollbar-thumb {
  background-color: rgba(0, 0, 0, 0.25);
  border-radius: 999px;
}

.filters .chips-container::-webkit-scrollbar-thumb:hover {
  background-color: rgba(0, 0, 0, 0.4);
}

.filters .chips-container .chip {
  background-color: var(--color-white);
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  gap: 6px;
  border-radius: var(--border-radius-lg);
  padding: 8px 8px 8px 12px;
  max-height: 32px;
  width: auto;
  transition: all 0.2s ease;
}

.filters .chips-container .chip:hover {
  background-color: var(--color-blue);
  box-shadow: var(--box-shadow);
  color: var(--color-white);
}

.chip .rem-filtro-container {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 4px;
}

.chip .rem-filtro-container:hover {
  background-color: var(--color-white);
  color: var(--color-red);
  border-radius: var(--border-radius-lg);
}

.img-swiper .swiper-slide {
  margin-bottom: 20px;
}

.swiper-scrollbar {
  height: 6px !important;
  margin-top: 10px;
  background: var(--color-second-light-grey);
}

.swiper-scrollbar-drag {
  background: var(--color-1bigo-blue);
  border-radius: 10px;
}

.sidebar-search {
  overflow-x: hidden;
  width: 100%;
  position: relative;
  background-color: var(--color-white);
  height: 100dvh;
  padding-top: 36px;
  display: flex;
  flex-direction: column;
  gap: 24px;
  overflow-y: visible;
  top: 0;
  position: sticky;
  min-width: 274px;
}

.drawer-container .rem-filtro-container {
  display: none;
  justify-content: start;
  overflow-x: visible;
  width: auto;
  position: absolute;
  left: -36px;
  top: -4px;
  z-index: 2;
}


.drawer-container .rem-filtro-container a {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 4px;
  color: var(--color-black);
  width: 100%;
}

.drawer-container .rem-filtro-container:hover a {
  color: var(--color-red);
  background-color: var(--color-light-grey);
  border-radius: var(--border-radius-lg);
}

.filters .chips-container .chip a {
  text-decoration: none;
  color: inherit;
  display: flex;
  justify-content: center;
  align-items: center;
}

.actions {
  display: flex;
  flex-direction: row;
  gap: 20px;
  justify-content: flex-end;
}

.success-msg {
  position: absolute;
  left: 0;
  bottom: 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 50%;
  z-index: 3;
  background-color: var(--color-white);
  padding: 16px;
  pointer-events: none;
  border-bottom-left-radius: var(--border-radius-sm);
  border-bottom-right-radius: var(--border-radius-sm);
}

.success-msg .msg-container {
  margin: 0 50px;
  text-align: center;
}

.success-msg .icon {
  color: var(--color-blue);
}

.cart .btn,
.favoritos .btn {
  align-items: center;
  justify-content: center;
  display: flex;
  gap: 8px;
  padding: 8px 14px;
}

.favoritos .btn {
  color: var(--color-dark-grey);
  background-color: var(--color-light-grey);
  border-radius: var(--border-radius-lg);
}

.favoritos .btn:hover {
  background-color: color-mix(
    in srgb,
    var(--color-light-grey) 50%,
    transparent 50%
  );
  color: var(--color-black);
}

p,
span {
  margin: 0;
  padding: 0;
}

.sidebar-search .hr-container {
  height: 10px;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
}

.sidebar-search .hr-container hr {
  position: absolute;
  height: 1px;
  width: 50dvw;
  left: -25dvw;
  color: var(--color-tertiary-light-grey);
}

.sidebar-search .drawer-container {
  overflow: visible;
  cursor: pointer;
}

.sidebar-search
  .drawer-container
  .drawer-bar:not(.open)
  ~ .sub-drawer-container {
  height: 0;
  overflow: hidden;
}

.sidebar-search .drawer-container .drawer-bar.open ~ .sub-drawer-container {
  height: 100%;
}

.sidebar-search .drawer-container ul {
  list-style-type: none;
}

.sidebar-search .checkbox-bar {
  padding: 4px;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  text-decoration: none;
  color: var(--color-dark-grey);
}

.sidebar-search .checkbox-bar input[type="checkbox"] {
  height: 18px;
  width: 18px;
}

.sidebar-search .checkbox-bar:has(input[type="checkbox"]:checked) {
  color: var(--color-black);
}

.checkbox-bar .checkbox-container {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 3px;
}

.sidebar-search .drawer-bar {
  padding: 4px;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  text-decoration: none;
  color: var(--color-black);
}

.sidebar-search .sub-drawer-bar p {
  color: var(--color-dark-grey);
  padding: 3px 0;
}

.sidebar-search .drawer-bar.open .icon-container svg {
  rotate: 180deg;
}

.sidebar-search .sub-drawer-bar .icon-container svg {
  color: var(--color-dark-grey);
}
/* -------------------------- */
.sidebar-search .drawer-container .sub-drawer-bar {
  position: relative;
}

.sidebar-search .rem-filtro-container-cat{
  display: none;
  justify-content: start;
  overflow-x: visible;
  width: auto;
  position: absolute;
  left: -12px;
  top: 8px;
  z-index: 2;
}


.sidebar-search li:has(.drawer-bar.open) .rem-filtro-container-cat
{
  display: block;
}

.drawer-container .rem-filtro-container{
  display: none;
    justify-content: start;
    overflow-x: visible;
    width: auto;
    position: absolute;
    left: -36px;
    top: -4px;
    z-index: 2;
}

.drawer-container .rem-filtro-container-cat:hover a{
    color: var(--color-red);
    background-color: var(--color-light-grey);
    border-radius: var(--border-radius-lg);
}

/* -------------------------- */


.sidebar-search .sub-drawer-bar.open p,
.sidebar-search .sub-drawer-bar.open .icon-container svg {
  color: var(--color-black);
}


.sidebar-search .drawer-container ul.sub-drawer-selector {
  display: flex;
  flex-direction: row;
  padding-left: 4px;
  position: relative;
}

.sidebar-search .drawer-container ul.sub-drawer-selector > .line-vertical {
  position: absolute;
  height: 100%;
  width: 2px;
}

.sidebar-search .line-vertical {
  border-radius: var(--border-radius-lg);
}

.sidebar-search .drawer-container .line-vertical {
  margin: 0;
  width: 2px;
  z-index: 1;
}

.sidebar-search .drawer-container .sub-drawer-selector {
  gap: 8px;
}

.sidebar-search .drawer-container .sub-drawer-selector .item-container {
  padding-left: 12px;
  color: var(--color-dark-grey);
}

.sidebar-search .drawer-container .sub-drawer-selector li .btn-unselect {
  border-radius: var(--border-radius-lg);
  color: var(--color-black);
}

.sidebar-search .drawer-container .sub-drawer-selector li .btn-unselect:hover {
  background-color: var(--color-light-grey);
  color: var(--color-red);
}

.sidebar-search
  .drawer-container
  .sub-drawer-selector
  li
  .item-container
  .line-vertical {
  width: 2px;
}

.sidebar-search .drawer-container .sub-drawer-selector li.selected p {
  color: var(--color-black);
}

.sidebar-search
  .drawer-container
  .sub-drawer-selector
  li.selected
  .rem-filtro-container{ 
  display: block;
}



.sidebar-search .drawer-container .sub-drawer-selector li:hover .line-vertical {
  width: 4px;
  margin-left: -1px;
}

.sidebar-search
  .drawer-container
  .sub-drawer-selector
  li.selected
  .line-vertical {
  width: 4px;
  background-color: var(--color-blue);
  z-index: 2;
  margin-left: -1px;
  border-radius: var(--border-radius-lg);
}

.menu-wrapper {
  /* display: flex;
  flex-direction: row;
  justify-content: center;
  width: 100%; */
  overflow: hidden;
  position: relative;
}

.products-section {
  display: flex;
  flex-direction: row;
  width: 100%;
}

.order-bar {
  height: 100%;
  width: 127px;
  position: relative;
}

.order-selector {
  position: absolute;
  top: -12px;
  right: 30px;
  min-width: 350px;
  z-index: 6;
  background-color: var(--color-white);
  box-shadow: var(--box-shadow);
  border-radius: var(--border-radius-sm);
  overflow: hidden;
}

.order-selector-navbar-pos::-webkit-scrollbar {
  display: none;
}

.order-selector .option {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  padding: 9px 18px;
  gap: 12px;
  border-top: 1px solid var(--color-light-grey);
  cursor: pointer;
}

.order-selector .option:hover {
  background-color: var(--color-light-grey);
}

.order-selector .option .icon {
  color: var(--color-dark-grey);
}

.order-selector .option.selected .icon {
  color: var(--color-blue);
}

.order-selector .option .selected-icon {
  display: none;
}

.order-selector .option.selected .selected-icon {
  display: block;
}

.order-selector .option .option-label {
  width: 100%;
  text-align: start;
  color: var(--color-dark-grey);
}

.order-selector .option.selected .option-label {
  color: var(--color-black);
}

.order-btn-container {
  position: sticky;
  display: flex;
  width: 100%;
  height: 42px;
  justify-content: center;
  margin-top: 36px;
  top: 36px;
  z-index: 1;
}

.order-btn-container .btn-circle {
  width: 42px;
  padding: 9px;
  color: var(--color-blue);
  border-radius: var(--border-radius-lg);
  border: 1px solid var(--color-second-light-grey);
  background-color: var(--color-white);
  display: flex;
  justify-content: center;
  align-items: center;
}

.products-grid {
  width: 100%;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 40px -8px;
  overflow-y: visible;
  overflow-x: hidden;
}

.products-grid .products-row {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: row;
  gap: 20px 0;
}

.products-row > * {
  min-height: 436px;
}

.product-card {
  display: flex;
  flex-direction: column;
  gap: 8px;
  border-radius: var(--border-radius-sm);
  overflow: hidden;
  min-height: 478px;
  justify-content: center;
  position: relative;
  width: 100%;
  height: 100%;
}

.product-card .product-overlay {
  position: absolute;
  width: 100%;
  left: 0;
  top: 0;
  display: flex;
  flex-direction: row;
  align-items: start;
  padding: 16px;
}

.product-card .product-overlay .info {
  flex-direction: row;
  display: flex;
  padding: 8px;
  background-color: var(--color-pink);
  border-radius: var(--border-radius-lg);
  text-decoration: none;
}

.product-card .product-overlay .info .icon-container {
  display: flex;
  color: var(--color-white);
}

.product-card .product-overlay .info .expandable-content {
  max-width: 0;
  opacity: 0;
  overflow: hidden;
  white-space: nowrap;
  align-items: center;
  display: flex;
}

.product-card .product-overlay .info .expandable-content p {
  color: var(--color-white);
}

.product-card .product-overlay .info:hover .expandable-content {
  max-width: 1000px;
  opacity: 1;
  padding: 0 8px;
}

.product-card,
.product-card *,
.sidebar-search *,
.product-card .product-overlay *,
.order-selector * {
  transition: all var(--transition-duration) ease;
}

.product-card:hover {
  box-shadow: var(--box-shadow);
}

.product-card .img-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 16px 16px 0 16px;
  overflow: hidden;
  min-height: 240px;
  min-width: auto;
  border-bottom: 1px solid var(--color-light-grey);
}

.product-card-as-cat {
  display: flex;
  border-radius: var(--border-radius-sm);
  justify-content: center;
  width: 100%;
  height: 100%;
}

.product-card-as-cat:hover img {
  transform: scale(1.04);
  filter: brightness(0.75);
}

.product-card-as-cat .img-container {
  overflow: hidden;
  border-radius: var(--border-radius-sm);
}

.product-card-as-cat img {
  transition: all var(--transition-duration) ease;
  height: 100%;
  width: 100%;
  object-fit: cover;
}

.product-card img {
  object-fit: scale-down;
  transition: opacity var(--transition-duration) ease;
}

.product-card .product-data {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 12px;
  padding: 0 16px 16px 16px;
  justify-content: stretch;
}

.product-card .product-data .text-box {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 6px;
  text-decoration: none;
}

.product-card .product-data .text-box .meta {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.product-card .product-data .actions {
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.product-card .product-data .actions .qty {
  display: flex;
  flex-direction: row;
  width: 100%;
  justify-content: center;
  align-items: center;
  gap: 44px;
}

.product-card .product-data .actions .label {
  color: var(--color-dark-grey);
  width: 33%;
}

.product-card .product-data .actions .input,
.add-to-cart-card .actions .input {
  display: flex;
  flex-direction: row;
  width: 100%;
  justify-content: space-between;
  align-items: center;
  border: 1px solid var(--color-light-grey);
  border-radius: var(--border-radius-lg);
}

.product-card
  .product-data
  .actions
  .input:hover
  .add-to-cart-card
  .actions
  .input:hover {
  border-color: var(--color-dark-grey);
}

.product-card .product-data .actions .input .input-btn,
.add-to-cart-card .actions .input .input-btn {
  color: var(--color-dark-grey);
  background-color: transparent;
  border-radius: var(--border-radius-lg);
  padding: 7px 15px;
  margin: 5px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.product-card .product-data .actions .input .input-btn:hover,
.add-to-cart-card .actions .input .input-btn:hover {
  color: var(--color-white);
  background-color: var(--color-black);
}

.product-card .product-data .actions .price {
  display: flex;
  flex-direction: row;
  width: 100%;
  justify-content: space-between;
  align-items: center;
  gap: 44px;
}

.product-card .product-data .actions .price .values {
  display: flex;
  flex-direction: row;
  justify-content: end;
  align-items: center;
  width: 100%;
  gap: 12px;
}

.price .values .old-value {
  font-weight: bold;
  text-decoration: line-through;
  color: var(--color-red);
  display: flex;
  align-items: end;
}

.price .values .new-value {
  font-weight: bold;
  color: var(--color-blue);
}

.product-data .actions .cart {
  display: flex;
  justify-content: center;
  gap: 12px;
  align-items: center;
}

.icon-container.label.favorito {
  position: absolute;
  top: 16px;
  right: 16px;
  width: fit-content !important;
}

.product-data .actions .cart .icon-container,
.favorite-overlay .icon-container {
  display: flex;
  justify-content: start;
  align-items: center;
  height: 42px;
}

.favorito button:hover svg {
  color: var(--color-red);
}

.favorito button {
  padding: 9px;
  text-decoration: none;
  color: var(--color-dark-grey);
  background: none;
  border: none;
  transition: all var(--transition-duration) ease;
}

.favorito:hover button {
  border-radius: var(--border-radius-lg);
  background-color: var(--color-light-grey);
  border-radius: 50%;
}

.product-data .actions .btn-blue-hover {
  color: var(--color-dark-grey);
}

.product-data .actions .btn-blue-hover:hover {
  color: var(--color-white);
}

.pagination-row {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 100px 0;
}
.order-bar {
  position: absolute;
  right: 10%;
}
@media (max-width: 1440px) {
  .order-bar {
    position: absolute;
    right: -20px;
  }
}

/*MOBILE*/
@media (max-width: 992px) {
  .pagination-row {
    padding: 50px 0 100px 0;
  }

  .sidebar-search {
    display: none;
    gap: 24px;
    z-index: 9;
  }

  .order-bar {
    display: none;
  }

  :root:has(.sidebar-search.active){
    overflow: hidden;
  }

  .sidebar-search.active {
    display: flex;
    position: absolute;
    z-index: 1000;
    max-height: 78dvh;
  }

  .sidebar-search .hr-container hr {
    width: 120dvw;
}

  .order-by-btn,
  .order-by-btn:hover {
    width: 100%;
    border: 1px solid var(--color-dark-grey);
    display: flex;
    justify-content: start;
    border-radius: var(--border-radius-lg);
    gap: 12px;
    /* margin: 40px 0; */
  }


/* RR-16/04-I */
   .order-bar{
        margin-left:0px;
        margin-right:0px;
    }
    
    .container-mob{
        --bs-gutter-x: 40px;
        --bs-gutter-y: 0;
        width: 100%;
        padding-right: calc(var(--bs-gutter-x) * .5);
        padding-left: calc(var(--bs-gutter-x) * .5);
        margin-right: auto;
        margin-left: auto;
    }
    
    
    #sidebar-products-grid {
      position: fixed;   /* 👈 obrigatório */
      bottom: 0;
      left: 0;
      right: 0;

      width: 100% !important;
      height: 90vh;      /* 👈 não uses max-height */
      max-height:100vh !important;

      z-index: 99;
      background: #fff;

      padding: 24px;
      padding-bottom: env(safe-area-inset-bottom, 16px);

      transform: translateY(100%);
      transition: transform 0.38s cubic-bezier(0.32, 0.72, 0, 1);

      overflow-y: auto;  /* 👈 scroll interno */
      -webkit-overflow-scrolling: touch;

      box-shadow: 0 -4px 40px rgba(0, 0, 0, 0.18);
    }
    
    #sidebar-products-grid.active {
        transform: translateY(0);
    }

    #sidebar-products-grid .checkbox-container{
      margin-bottom:64px;
    }
    
    .order-btn-container .btn-circle{
        width:100%;
        height:42px;
    }

    .order-btn-container{
      margin-top: 0PX;
      position: unset;
    }
/* RR-16/04-I */


  .order-by-btn svg {
    color: var(--color-blue);
  }

  .order-selector {
    left: 5%;
    top: 208px;
    min-width: 332px;
    Z-INDEX:9999;
  }

  .product-card {
    box-shadow: var(--box-shadow);
  }

  .product-card-as-cat .img-container {
    border-radius: 0;
    width: 100%;
  }

  .product-card .product-overlay .info .expandable-content {
    max-width: 1000px;
    opacity: 1;
    padding: 0 8px;
  }

  .btn-blue-hover {
    background-color: var(--color-blue);
  }

  .btn-blue-hover,
  .btn-blue-hover * {
    color: var(--color-white);
  }

  .sidebar-search-btn {
    display: flex;
    justify-content: end;
    align-items: center;
    color: var(--color-1bigo-blue);
  }

  .sticky-bottom-bar {
    position: fixed;
    left: 0;
    right: 0;
    bottom: 0;
    height: 100px;
    z-index: 999;
    background: var(--color-white);
    box-shadow: var(--box-shadow);
    border-top-left-radius: var(--border-radius-sm);
    border-top-right-radius: var(--border-radius-sm);
    width: 100vw;
    max-width: 100vw;
  }

  .sticky-bottom-bar-content {
    display: flex;
    gap: 12px;
    align-items: center;
    justify-content: center;
    height: 100%;
  }

  .sticky-bottom-bar-content .btn {
    padding: 12px 16px;
  }

  .btn-filtros {
    display: flex;
    border: 1px solid var(--color-tertiary-light-grey);
    gap: 4;
  }

  .product-card .img-container.showcase {
    display: flex;
    flex-direction: row;
    overflow-x: auto;
    gap: 24px;
    scroll-snap-type: x mandatory;
    /*padding-left: 368px;*/
  }

  .products-row > *:not(.product-card-as-cat) {
    display: flex;
    justify-content: center;
  }

  .showcase {
    display: flex;
    overflow-x: auto;
  }

  .showcase.multiple-images {
    justify-content: flex-start;
  }

  .showcase.single-image {
    justify-content: center;
  }

  .products-grid {
    margin: 48px 0px;
  }
}
